2019-07-15 20:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006095Spring engineGeneralpublic2019-01-20 23:50
ReporterGoogle_Frog 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionreopened 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006095: 104.0.1-914-g0f9ac7b maintenance Ship has clear line of fire but does not shoot
DescriptionIn the attached screenshot, a Corsair is told to attack a mex and fails. The terrain appears to not be blocking its line of fire when viewed from the appropriate angle. To test this I gave its weapon avoidGround = false (verified by the unit in the bottom left), which had no effect.
Steps To Reproduce * Run ZK on the attached map.
 * Spawn an enemy staticmex on an island metal spot.
 * Spawn a shipriot and tell it to attack the mex.
The issue reproduces almost all the time for all four island metal spots.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019592

Google_Frog (reporter)

The map is too large to attach, so here is a link: http://zero-k.info/Maps/Detail/57578

Also the bug is present in 104.0.1-287-gf7b0fcc.

~0019593

Kloot (developer)

the metal spots on this map are features which have not been made transparent to ray queries via SetFeatureBlocking.

this will be the last issue of yours I look at until ZK moves away from 287.

~0019594

Google_Frog (reporter)

"i do apologise for burning any enginedev-goodwill" - Aquanim

Engine update is prettymuch ready, but it is a busy time of year. Don't be too miffed if I don't do anything major on this front until mid-January.

~0019675

Kloot (developer)

the middle of january seems to have come and gone, let me know if I should be heading for greener pastures soon.
+Notes

-Issue History
Date Modified Username Field Change
2018-12-05 12:05 Google_Frog New Issue
2018-12-05 12:05 Google_Frog File Added: targetingIssue.JPG
2018-12-05 12:10 Google_Frog Note Added: 0019592
2018-12-06 12:19 Kloot Status new => closed
2018-12-06 12:19 Kloot Resolution open => no change required
2018-12-06 12:19 Kloot Note Added: 0019593
2018-12-06 14:58 Google_Frog Status closed => feedback
2018-12-06 14:58 Google_Frog Resolution no change required => reopened
2018-12-06 14:58 Google_Frog Note Added: 0019594
2019-01-20 23:50 Kloot Status feedback => closed
2019-01-20 23:50 Kloot Note Added: 0019675
+Issue History